﻿using uqac_ia_sudoku_csp.Interfaces;

namespace uqac_ia_sudoku_csp.Solver.Constraints
{
    public class LineContraint : IConstraint
    {
        public bool Check(Board board, int x, int y)
        {
            var cell = board.GetNumber(x, y).Value;
            for (var xx = 0; xx < board.Size; ++xx)
            {
                if (cell == board.GetNumber(xx, y) && xx != x)
                {
                    return false;
                }
            }
            return true;
        }
    }
}